Skip to main content

E-Commerce & Payments

Shopify, Stripe, WooCommerce

  • Tools: 4
  • Connectors: 5

Connectors in this domain

Tool reference

ecommerce.customers.search - Search Customers

Search e-commerce customers

  • Risk: read - Read-only - safe to call freely
  • Supported by: Shopify, Stripe, Square, BigCommerce, WooCommerce

Input schema

FieldTypeRequiredDescription
emailstringNo-
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ecommerce.customers.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"email":"string","query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ecommerce.customers.search",
"arguments": {
"email": "string",
"query": "string"
}
}
}

ecommerce.orders.get - Get Order

Get details of a specific order

  • Risk: read - Read-only - safe to call freely
  • Supported by: Shopify, WooCommerce, Stripe, Square, BigCommerce

Input schema

FieldTypeRequiredDescription
order_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ecommerce.orders.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"order_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ecommerce.orders.get",
"arguments": {
"order_id": "string"
}
}
}

ecommerce.orders.search - Search Orders

Search e-commerce orders

  • Risk: read - Read-only - safe to call freely
  • Supported by: Shopify, WooCommerce, Stripe, Square, BigCommerce

Input schema

FieldTypeRequiredDescription
querystringNo-
statusstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ecommerce.orders.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string","status":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ecommerce.orders.search",
"arguments": {
"query": "string",
"status": "string"
}
}
}

ecommerce.products.list - List Products

List all products in catalog

  • Risk: read - Read-only - safe to call freely
  • Supported by: Shopify, WooCommerce, Stripe, Square, BigCommerce

Input schema

FieldTypeRequiredDescription
limitintegerNo-
categorystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ecommerce.products.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0,"category":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ecommerce.products.list",
"arguments": {
"limit": 0,
"category": "string"
}
}
}